summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentnl@gentoo.org>2016-12-18 19:14:47 +1300
committerKent Fredric <kentnl@gentoo.org>2016-12-18 19:16:47 +1300
commit7249b60bdb64abc5bf1417fd0e6c4077811e87ba (patch)
treef6199f3643c70af4097225612b3fecb8fc4bd2d7
parentdev-perl/File-Scan-ClamAV: Bump to version 1.950.0 (diff)
downloadgentoo-7249b60bdb64abc5bf1417fd0e6c4077811e87ba.tar.gz
gentoo-7249b60bdb64abc5bf1417fd0e6c4077811e87ba.tar.bz2
gentoo-7249b60bdb64abc5bf1417fd0e6c4077811e87ba.zip
dev-perl/HTML-Format: Fix bad author tests
Lots of these tests declare dependencies which never get used, and aren't used by us, but another test checks for them being installed and subsequently fails. This patches out those superfluous dependencies. Package-Manager: portage-2.3.3
-rw-r--r--dev-perl/HTML-Format/HTML-Format-2.140.0.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/dev-perl/HTML-Format/HTML-Format-2.140.0.ebuild b/dev-perl/HTML-Format/HTML-Format-2.140.0.ebuild
index 991673deada..83a6f38d0ed 100644
--- a/dev-perl/HTML-Format/HTML-Format-2.140.0.ebuild
+++ b/dev-perl/HTML-Format/HTML-Format-2.140.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -33,3 +33,12 @@ DEPEND="${RDEPEND}
>=virtual/perl-Test-Simple-0.960.0
)
"
+src_test() {
+ local badfile
+ perl_rm_files t/author-* t/release-*
+ for badfile in t/000-report-versions.t META.yml; do
+ einfo "Stripping bad test dependencies from ${badfile}"
+ sed -i -r -e '/Test::(CPAN|EOL|Kwalitee|NoTabs|Pod|Port|YAML)/d' "${badfile}" || die "Can't fix bad deps in ${badfile}"
+ done
+ perl-module_src_test
+}